Postman

🧾 MorPOS Postman Collection

This page is prepared for MorPOS Postman Collectionpresents the reference of.

  • All API services (Non-3DS, 3D Secure, Payment Inquiry, BIN Check, Void, Refund) are combined in a single collection.

  • Usage of the services, required headers and request parameters, sample JSON requests & responses are included in the collection.

  • You can call directly via Postman and test with sample data.


Download Postman Collection

  • The collection Import to Postman you can easily use all API services by:

📥 Download Postman Collectionarrow-up-right

⚡ The collection is continuously updated with current endpoints and sample data. 🔒 For API calls, x-ClientID and x-ClientSecret you need to use your information.


Request Header (All Services)

Field
Required
Type
Description
Example

x-ClientID

String

Unique identifier for the API client

your-client-id

x-ClientSecret

String

Secret key for the API client

your-secret-key

x-GrantType

String

Type of access token used

client_credentials

x-Scope

String

API scope

pf_write, pf_read

x-Timestamp

String

Timestamp of the request for authentication

2024-12-17T12:34:56Z

Content-Type

String

Format of the data being sent

application/json


Variable
Description
Example

clientId

API client identifier

your-client-id

clientSecret

API secret key

your-secret-key

baseUrl

API base URL

https://api.example.com


Usage Notes

  1. For all services in the collection, add the required header information as above.

  2. By defining Environment variables, you can perform easy testing and import.

  3. Mandatory and optional fields for services are specified in the collection notes.

  4. You can test directly with Postman and review sample requests/responses.

Last updated